Leads
Convert lead to customer
Convert a lead to a customer and set its status to Converted.
POST
/
v3
/
leads
/
{id}
/
convert
/
customer
Convert lead to customer
curl --request POST \
--url https://api.example.com/v3/leads/{id}/convert/customer \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"customer": {
"sourcePartnerId": 123,
"properties": {}
},
"associateNotes": true,
"associateAttachments": true,
"associateMeetings": true
}
'import requests
url = "https://api.example.com/v3/leads/{id}/convert/customer"
payload = {
"customer": {
"sourcePartnerId": 123,
"properties": {}
},
"associateNotes": True,
"associateAttachments": True,
"associateMeetings": True
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
customer: {sourcePartnerId: 123, properties: {}},
associateNotes: true,
associateAttachments: true,
associateMeetings: true
})
};
fetch('https://api.example.com/v3/leads/{id}/convert/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"creationDate": "2023-11-07T05:31:56Z",
"properties": {},
"partnerId": 123,
"sourcePartnerId": 123,
"userPartnerOwnerId": 123,
"dealId": 123,
"customerId": 123,
"deadLine": "2023-11-07T05:31:56Z",
"assignedDate": "2023-11-07T05:31:56Z",
"acceptedDate": "2023-11-07T05:31:56Z",
"refusedDate": "2023-11-07T05:31:56Z",
"convertedDate": "2023-11-07T05:31:56Z",
"abandonedDate": "2023-11-07T05:31:56Z",
"status": "Unknown",
"partnerName": "<string>",
"dealName": "<string>",
"customerName": "<string>",
"source": "Unknown",
"transferredLeadId": 123,
"currency": "<string>",
"ownerUserId": 123,
"owner": {
"id": 123,
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
}Path Parameters
The ID of the lead to convert to customer.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
Lead converted to customer
Show child attributes
Show child attributes
Available options:
Unknown, Unassigned, Pending, Accepted, Refused, Reassigned, Converted, Abandoned Available options:
Unknown, Website, Partner, Api, Zapier, Tenant, System, HubSpot, Stripe, PartnerDirectory Show child attributes
Show child attributes
Convert lead to customer
